Subject: Re: [PATCH v2 0/6] bswap.h: Rework ntohl handling

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Jun 2025 13:21:18 -0700

Sebastian Andrzej Siewior <[email-masked]> writes:

> since the add of bswap32/64() support based on __builtin support, the
> usage of ntohl() macros is broken on big endian machines because the
> macros are always overwritten providing a swap.
>
> The first patch in the series reverts the change and the following
> patches try to improve the situation by allowing to always provide an
> optimized version.

I am inclined to take only this one for the upcoming release, as a
pure regression fix.  It's not like with the change reverted, those
platforms with __builtin_bswap32/64 will stop building correctly.
The worst is that they fall back to the implementation they have
always been using until any and all released versions of Git.

The rest looked promising and with very good materials, but let's
leave them for the cycle after 2.50 ships.

Thanks.